%global srcname tesstractor

Name: %{srcname}
Version: 0.6.0
Release: 1%{?dist}
Summary: Read data from TESS photometers
License: GPLv3+

URL: https://github.com/guaix-ucm/tesstractor
Source0: %{pypi_source}
Source1: tesstractor.service

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: systemd-rpm-macros
%{?systemd_requires}

%description 
Tesstractor is a software designed to read data
from TESS and SQM-LU photometers

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files tesstractor

mkdir -p %{buildroot}/%{_unitdir}
mkdir -p %{buildroot}/%{_sysconfdir}/tesstractor
mkdir -p %{buildroot}/%{_sharedstatedir}/tesstractor
cp -a %{SOURCE1} %{buildroot}/%{_unitdir}
cp -a src/tesstractor/base.ini %{buildroot}/%{_sysconfdir}/tesstractor/config.ini

%check
%pyproject_check_import -t

%post
%systemd_post %{srcname}.service

%preun
%systemd_preun %{srcname}.service

%postun
%systemd_postun_with_restart ${srcname}.service

%files -f %{pyproject_files}
%doc README.md
%{_bindir}/tesstractor
%{_bindir}/tesstractor-plot
%dir %{_sysconfdir}/tesstractor
%config(noreplace) %{_sysconfdir}/tesstractor/config.ini
%dir %{_sharedstatedir}/tesstractor
%{_unitdir}/tesstractor.service

%changelog
* Fri Jun 10 2022 Sergio Pascual <sergiopr at fedoraproject.com> - 0.6.0-1
- New upstream version

* Mon Mar 04 2019 Sergio Pascual <sergiopr at fedoraproject.com> - 0.5.1-1
- Initial SPEC
